Skip to main content
PUT
/
recruitment
/
v1
/
candidates
/
{id}
Update a candidate
curl --request PUT \
  --url https://api-{region}.sesametime.com/recruitment/v1/candidates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "firstName": "<string>",
  "lastName": "<string>",
  "phone": "<string>",
  "email": "jsmith@example.com",
  "linkedinURL": "<string>",
  "desiredSalary": "<string>",
  "startWorkDate": "<string>",
  "web": "<string>",
  "location": "<string>",
  "vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "address": "<string>",
  "comment": "<string>",
  "appliedAt": "2023-12-25",
  "notify": true,
  "acceptPool": true,
  "checkPolicyPrivacy": true
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "vacancy": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>",
      "contractType": "<string>",
      "experience": "<string>",
      "createdById": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "open",
      "openedAt": "2020-01-01T10:00:00+01:00",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "public": true,
      "locationVacancy": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00"
      },
      "scheduleType": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00"
      },
      "category": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00"
      },
      "officeIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "departmentIds": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "evaluationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "firstName": "<string>",
    "lastName": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "type": "<string>",
    "statusId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order": 123,
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "vacancyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    },
    "linkedInURL": "<string>",
    "desiredSalary": "<string>",
    "startWorkDate": "2020-01-01T10:00:00+01:00",
    "evaluation": 123,
    "web": "<string>",
    "location": "<string>",
    "hasDocument": true,
    "comment": "<string>",
    "appliedAt": "2020-01-01T10:00:00+01:00",
    "threadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "lastComment": {},
    "numComments": 123,
    "imageProfileURL": "<string>",
    "checklist": {},
    "createdAt": "2020-01-01T10:00:00+01:00",
    "updatedAt": "2020-01-01T10:00:00+01:00",
    "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "acceptPool": true,
    "checkPolicyPrivacy": true
  },
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

id
string<uuid>
required

Candidate ID

Body

application/json

Candidate object that needs to be updated

firstName
string
required

The first name of the candidate

lastName
string
required

The last name of the candidate

phone
string
required

The phone number of the candidate

email
string<email>
linkedinURL
string

The LinkedIn URL of the candidate

desiredSalary
string

The desired salary of the candidate

startWorkDate
string

The start work date of the candidate

web
string

The web of the candidate

location
string

The location of the candidate

vacancyId
string<uuid>

The identifier of the vacancy where the candidate will be added

statusId
string<uuid>

The identifier of the status of the candidate

address
string

The address of the candidate

comment
string

The description of the candidate

appliedAt
string<date>

The date of the application

notify
boolean

If the candidate must be notified of the status of this action

acceptPool
boolean

Accepts inclusion in talent pool for future vacancies

checkPolicyPrivacy
boolean

Accepts privacy policy terms

Response

200 - application/json

Object

data
object
meta
object